{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{asset('css/fornitoreStyle.css')}}" />
{% endblock %}


{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <div class="active section">{{fornitore.nomeAzienda}}</div>
    </div>
  </div>

  <h2 class="ui header" style="text-align: center; margin: 15px">{{fornitore.nomeAzienda}}</h2>

  <div class="ui divider" style="margin-bottom: 40px"></div>

  <div class="ui grid" style="margin: 0; padding: 0">
    <div class="six wide column" style="padding-right: 0">
      <table class="ui celled table">
        <thead>
          <tr>
            <th colspan="4" style="text-align: center">
              <h8 class="ui header">
                <i class="file text icon"></i>
                <div class="content">
                  Listino prezzi
                </div>
              </h8>
            </th>
          </tr>
          <tr>
            <th>Categoria</th>
            <th>Nome</th>
            <th>Prezzo</th>
            <th style="text-align: center; padding-right: 0 !important"><i class="ui configure icon"></i></th>
          </tr>
        </thead>
        <tbody>
          {% for prodotto in fornitore.prodottiInListino %}
            <tr>
              {% if prodotto.prodotto.tipo == "Ingrediente" %}
                <td><div class="ui ribbon yellow label">{{prodotto.prodotto.tipo}}</div></td>
              {% elseif prodotto.prodotto.tipo == "Strumento da cucina" %}
                <td><div class="ui ribbon red label">{{prodotto.prodotto.tipo}}</div></td>
              {% else %}
                <td><div class="ui ribbon blue label">{{prodotto.prodotto.tipo}}</div></td>
              {% endif %}
              <td>{{prodotto.prodotto.nome}}</td>
              <td>{{prodotto.prezzo}} €</td>
              <td nowrap>
                <a><i id="icon-edit-product{{prodotto.prodotto.id}}" title="Modifica" class="ui write icon edit-product" style="cursor: pointer"></i></a>
                <a href="{{path('elimina_prodotto_listino', { 'f_id': prodotto.fornitore.id, 'p_id': prodotto.prodotto.id }) }}"><i title="Elimina" class="ui trash icon"></i></a>
              </td>
            </tr>
          {% endfor %}
        </tbody>
        <tfoot>
          <tr>
            <th colspan="4" style="padding-bottom: 0">
              <a href="{{path('fornitore_aggiungi_prodotto_listino', { 'id': fornitore.id })}}">
                <div style="float: right" class="icon button" data-position="left center" data-tooltip="Aggiungi prodotto al listino" data-inverted="">
                  <i id="add-to-listino" class="ui add circle icon" style="font-size: 40px; padding-top: 5px"></i>
                </div>
              </a>
            </th>
          </tr>
        </tfoot>
      </table>
    </div>
    <div class="ten wide column" style="padding-right: 0">
      <table class="ui compact celled definition table">
        <thead>
          <tr>
            <th></th>
            <th>Ristorante</th>
            <th>Indirizzo</th>
          </tr>
        </thead>
        <form id="disponibilita-ristoranti-form" class="ui form" method="post">
          <input id="disponibilità" type="hidden" value="0" name="disponibilità"/>
          <tbody>
            {% for ristorante in ristoranti %}
              <tr>
                <td class="collapsing">
                  <div class="ui fitted toggle checkbox">
                    {% if ristorante in fornitore.ristoranti %}
                      <input class="checkbox-ristoranti" type="checkbox" data-id="{{ristorante.id}}" checked><label></label>
                    {% else %}
                      <input class="checkbox-ristoranti" type="checkbox" data-id="{{ristorante.id}}"><label></label>
                    {% endif %}
                  </div>
                </td>
                <td>{{ristorante.nome}}</td>
                <td>{{ristorante.indirizzo}}</td>
              </tr>
            {% endfor %}
          </tbody>
          <tfoot class="full-width">
            <tr>
              <th></th>
              <th colspan="4">
                <button style="float:right" type="submit" class="ui right labeled icon primary button submit-button">
                  <i class="shipping icon"></i> Dai disponibiltà
                </button>
              </th>
            </tr>
          </tfoot>
        </form>
      </table>
      <i class="ui warning sign icon"></i><small><em>Solamente i ristoranti selezionati potranno richiederti una fornitura.</em></small>
      <div class="ui divider"></div>
      {% if fornitore.forniture|length == 0 %}
        <div class="ui yellow message">
          <i class="close icon"></i>Non ci sono richieste di fornitura.
        </div>
      {% else %}
          <table class="ui celled table">
            <thead>
              <tr>
                <th colspan="5">
                  <h3 style="text-align: center">Richieste di fornitura</h3>
                </th>
              </tr>
              <tr>
                <th>Data Richiesta</th>
                <th>Ristorante</th>
                <th>Prodotto</th>
                <th>Quantità</th>
                <th>Guadagno</th>
              </tr>
            </thead>
            <tbody>
              {% for fornitura in fornitore.forniture|sort %}
              <tr>
                <td>{{fornitura.dataRichiesta|date("d/m/Y  -  G:i")}}</td>
                <td>{{fornitura.ristorante.nome}}</td>
                <td>{{fornitura.prodotto.nome}}</td>
                <td>{{fornitura.quantita}}</td>
                <td>{{fornitura.prezzo}} €</td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
      {% endif %}
    </div>
  </div>

  {% for prodotto in fornitore.prodottiInListino %}

    <div id="edit-product-modal{{prodotto.prodotto.id}}" class="ui small modal">
      <div class="header">Modifica <em>{{prodotto.prodotto.nome}}</em> in listino</div>
      <div class="content">
        <form id="edit-prodotto-listino-form" class="ui form" method="post">
          <input id="edit-prodotto" type="hidden" value="0"/>
          <input type="hidden" name="prodotto" value="{{prodotto.prodotto.id}}" />
          <input type="hidden" name="fornitore" value="{{prodotto.fornitore.id}}" />
          <div class="three fields">
            <div class="field">
              <label>Categoria</label>
              <input type="text" name="categoria" value="{{prodotto.prodotto.tipo}}" readonly="true">
            </div>
            <div class="field">
              <label>Nome</label>
              <input type="text" name="nome" value="{{prodotto.prodotto.nome}}" readonly="true">
            </div>
            <div class="required field">
              <label>Prezzo</label>
              <input type="text" name="prezzo" required="true" value="{{prodotto.prezzo}}">
            </div>
          </div>
          <div class="ui divider"></div>
          <button style="margin-bottom: 10px; float:right" type="submit" class="ui right labeled icon positive button submit-button">
            <i class="checkmark icon"></i> Ok, ho finito!
          </button>
        </form>
      </div>
    </div>

  {% endfor %}



{% block javascripts %}
  
{% endblock %}

{% endblock %}
